PipeWire: impl-metadata.c File Reference

PipeWire 0.3.37

Data Structures | Macros | Functions
impl-metadata.c File Reference
Include dependency graph for impl-metadata.c:

## Data Structures
struct | metadata
struct | item
struct | impl
struct | resource_data

## Macros
#define | NAME "metadata"
#define | pw_metadata_emit(hooks, method, version, ...)
#define | pw_metadata_emit_property(hooks, ...) pw_metadata_emit(hooks,property, 0, ##__VA_ARGS__)
#define | pw_metadata_resource(r, m, v, ...) pw_resource_call_res(r,struct pw_metadata_events,m,v,__VA_ARGS__)
#define | pw_metadata_resource_property(r, ...) pw_metadata_resource(r,property,0,__VA_ARGS__)

## Functions
struct pw_impl_metadata * | pw_context_create_metadata (struct pw_context *context, const char *name, struct pw_properties *properties, size_t user_data_size)
int | pw_impl_metadata_set_implementation (struct pw_impl_metadata *metadata, struct pw_metadata *meta)
struct pw_metadata * | pw_impl_metadata_get_implementation (struct pw_impl_metadata *metadata)
void | pw_impl_metadata_destroy (struct pw_impl_metadata *metadata)
int | pw_impl_metadata_register (struct pw_impl_metadata *metadata, struct pw_properties *properties)
void * | pw_impl_metadata_get_user_data (struct pw_impl_metadata *metadata)
struct pw_global * | pw_impl_metadata_get_global (struct pw_impl_metadata *metadata)
| Get the global of this metadata. More...
void | pw_impl_metadata_add_listener (struct pw_impl_metadata *metadata, struct spa_hook *listener, const struct pw_impl_metadata_events *events, void *data)
| Add an event listener. More...
int | pw_impl_metadata_set_property (struct pw_impl_metadata *metadata, uint32_t subject, const char *key, const char *type, const char *value)
| Set a property. More...
int | pw_impl_metadata_set_propertyf (struct pw_impl_metadata *metadata, uint32_t subject, const char *key, const char *type, const char *fmt,...)

## Macro Definition Documentation

## ◆ NAME

#define NAME "metadata"

## ◆ pw_metadata_emit

#define pw_metadata_emit | ( |  | hooks,
|  |  | method,
|  |  | version,
|  |  | ...
| ) |  |

Value:
spa_hook_list_call_simple(hooks, struct pw_metadata_events, \
method, version, ##__VA_ARGS__)
spa_hook_list_call_simple
#define spa_hook_list_call_simple(l, type, method, vers,...)
Definition: hook.h:372

## ◆ pw_metadata_emit_property

#define pw_metadata_emit_property | ( |  | hooks,
|  |  | ...
| ) |  | pw_metadata_emit(hooks,property, 0, ##__VA_ARGS__)

## ◆ pw_metadata_resource

#define pw_metadata_resource | ( |  | r,
|  |  | m,
|  |  | v,
|  |  | ...
| ) |  | pw_resource_call_res(r,struct pw_metadata_events,m,v,__VA_ARGS__)

## ◆ pw_metadata_resource_property

#define pw_metadata_resource_property | ( |  | r,
|  |  | ...
| ) |  | pw_metadata_resource(r,property,0,__VA_ARGS__)

## Function Documentation

## ◆ pw_impl_metadata_set_propertyf()

int pw_impl_metadata_set_propertyf | ( | struct pw_impl_metadata * | metadata,
|  | uint32_t | subject,
|  | const char * | key,
|  | const char * | type,
|  | const char * | fmt,
|  |  | ...
| ) |  |

References n, and pw_impl_metadata_set_property().